LauncherSetup (install4j help)
Date: 2009-06-17

## install4j API documentation

## com.install4j.api.context
Interface LauncherSetup

    public interface LauncherSetup

This interface provides information about launchers. Launchers are configured on the "Launchers" section in the install4j GUI.

Objects of this type are returned by `Context.getLaunchers()` and `Context.getLauncherById(String)`.

Author:
  ej-technologies GmbH

Method Summary
`java.lang.String` | `getId()` Get the ID of the launcher.
`java.lang.String` | `getName()` Return the name of the installer as configured in the instal4j GUI.
`java.lang.String` | `getRelativeFileName()` Get the relative file name for the launcher.
`LauncherType` | `getType()` Get the type of the launcher.
`boolean` | `isExcludeFromMenu()` Returns whether the launcher is excluded from menu integration.
`boolean` | `isUninstaller()` Returns whether the launcher is the uninstaller.

Method Detail

### getRelativeFileName

    java.lang.String getRelativeFileName()

  Get the relative file name for the launcher.

  Returns:
    the relative file name.

### getId

    java.lang.String getId()

  Get the ID of the launcher. The ID of a launcher can be displayed the install4j GUI by invoking Launcher->Show Launcher IDs from the main menu when the Launchers section is active.

  Returns:
    the ID.

### getType

    LauncherType getType()

  Get the type of the launcher.

  Returns:
    the type

### isExcludeFromMenu

    boolean isExcludeFromMenu()

  Returns whether the launcher is excluded from menu integration. This concerns start menu entries on Windows and the creation of links on Unix that are performed by the "Create standard program group" action.

  Returns:
    `true` or `false`.

### isUninstaller

    boolean isUninstaller()

  Returns whether the launcher is the uninstaller.

  Returns:
    `true` or `false`.

### getName

    java.lang.String getName()

  Return the name of the installer as configured in the instal4j GUI.

  Returns:
    the name